Bug 818604 - mina-filter-ssl-1.1.7.jar library is not needed anymore
mina-filter-ssl-1.1.7.jar library is not needed anymore
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Build Process, JBossESB (Show other bugs)
5.3.0 GA
Unspecified Unspecified
medium Severity medium
: ER4
: 5.3.0 GA
Assigned To: Julian Coleman
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 09:53 EDT by Robert Balent
Modified: 2015-11-02 03:04 EST (History)
4 users (show)

See Also:
Fixed In Version: 5.3.0 GA
Doc Type: Bug Fix
Doc Text:
In SOA-P Platform 5.3, Apache Mina has been upgraded to version 2.0.1.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Balent 2012-05-03 09:53:03 EDT
In SOA-P Platform 5.3 there is Apache Mina upgraded to version 2.0.1 (mina-core-2.0.1.jar [1] ). This library already contains classes that was in previous version in mina-filter-ssl-1.1.7.jar, but with different !!!class names!!!.

Also there is mina-filter-ssl-1.1.7.jar, which depends on mina-core-1.1.7.jar. As I said before, the class names had changed, so the mina-filter-ssl-1.1.7.jar is probably unusable.

So the functionality which is included in mina-filter-ssl-1.1.7.jar is now also included in mina-core-2.0.1.jar so I advice to remove mina-filter-ssl-1.1.7.jar library from SOA Platform.


[1] <server_profile>/deployers/esb.deployer/lib/mina-core-2.0.1.jar
Comment 1 Julian Coleman 2012-05-30 11:54:06 EDT
Resolved with revision 11138 of:

  soa-p/src/main/assembly/soa.zip.xml

Commit message:

  BZ 818604
  Exclude mina-filter-ssl-1.1.7.jar from the esb.deployer.
Comment 4 Suz 2012-06-13 02:04:38 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
In SOA-P Platform 5.3, Apache Mina has been upgraded to version 2.0.1. Some of the class names have been changed, however the library still contains the classes that were in the previous version.
Comment 5 Julian Coleman 2012-06-21 08:19:21 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-In SOA-P Platform 5.3, Apache Mina has been upgraded to version 2.0.1. Some of the class names have been changed, however the library still contains the classes that were in the previous version.+In SOA-P Platform 5.3, Apache Mina has been upgraded to version 2.0.1.
Comment 6 Robert Balent 2012-06-21 08:37:05 EDT
Verified with SOA-P 5.3 ER4

Note You need to log in before you can comment on or make changes to this bug.